package com.qq.lezi2012.cmslite;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;


@Component
public class AppProperties {

    public static AppProperties instance;

    public AppProperties() {
        instance = this;
    }

    @Value("#{appSettings['view.static.res.baseUrl']}")
    public String viewStaticResBaseUrl;

    @Value("#{appSettings['uploadRootDir']}")
    public String uploadRootDir;

    @Value("#{appSettings['uploadRootUrl']}")
    public String uploadRootUrl;

    @Value("#{appSettings['contentListSize']}")
    public int contentListSize;


}
