package com.qq.lezi2012.cmslite.controller;


import com.qq.lezi2012.cmslite.domain.WidgetCodeWithBLOBs;
import com.qq.lezi2012.cmslite.model.vo.BaseResponse;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping(value = "/manage/widgetCode")
public class WidgetCodeController extends BaseController {
    @RequestMapping(value = "/index")
    public String index(ModelMap modelMap) {
        BaseResponse baseResponse = widgetCodeService.get(null);
        modelMap.putAll(baseResponse.map());
        return "manage/widgetCode/index";
    }


    @RequestMapping(value = "/save")
    @ResponseBody
    public BaseResponse save(ModelMap modelMap, @ModelAttribute WidgetCodeWithBLOBs instance) {
        BaseResponse baseResponse = widgetCodeService.update(instance);
        modelMap.putAll(baseResponse.map());
        return baseResponse;
    }


}
