<%@ page import="com.qq.lezi2012.cmslite.domain.Content" %>
<%@ page import="com.qq.lezi2012.cmslite.model.def.ContentStatus" %>
<%@ page import="com.qq.lezi2012.cmslite.model.def.ContentShowType" %>
<%@ page import="java.util.List" %>
<%@ page import="com.qq.lezi2012.cmslite.domain.Category" %>
<%@ page import="com.qq.lezi2012.cmslite.AppProperties" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="/views/manage/widget/_header.jsp"/>
<%
    Content instance = (Content) request.getAttribute("result");

    instance.setContent(instance.getContent().replaceAll("_fix_", AppProperties.instance.uploadRootUrl));

    List<Category> categories = (List) request.getAttribute("categories");
%>
<form id="instanceForm" method="post" action="<%=request.getContextPath()%>/manage/content/save">
    <input type="hidden" name="id" value="<%=instance.getId()%>"/>

    <div class="form-group">

    </div>
    <div class="form-group">
        <div class="row">
            <div class="col-sm-8"><input type="text" class="form-control" name="title" value="<%=instance.getTitle()%>" placeholder="内容标题"/></div>
            <div class="col-sm-2">
                <select name="showType" class="form-control">
                    <%
                        ContentShowType[] contentShowTypes = ContentShowType.values();
                        for (ContentShowType contentShowType : contentShowTypes) {

                            String selectedStr = instance.getShowType() == contentShowType.code ? "selected" : "";

                    %>
                    <option <%=selectedStr%> value="<%=contentShowType.code%>"><%=contentShowType.description%>
                    </option>

                    <%
                        }
                    %>
                </select>
            </div>
            <div class="col-sm-1">
                <select name="categoryId" class="form-control">
                    <%
                        for (Category category : categories) {

                            String selectedStr = category.getId().equals(instance.getCategoryId()) ? "selected" : "";

                    %>
                    <option <%=selectedStr%> value="<%=category.getId()%>"><%=category.getName()%>
                    </option>

                    <%
                        }
                    %>
                </select>
            </div>
            <div class="col-sm-1">
                <select name="status" class="form-control">
                    <%
                        ContentStatus[] contentStatuses = ContentStatus.values();
                        for (ContentStatus contentStatus : contentStatuses) {

                            String selectedStr = instance.getStatus() == contentStatus.status ? "selected" : "";

                    %>
                    <option <%=selectedStr%> value="<%=contentStatus.status%>"><%=contentStatus.description%>
                    </option>

                    <%
                        }
                    %>
                </select>
            </div>
        </div>

    </div>
    <div class="form-group">
        <textarea class="form-control" rows="50" id="content" name="content" placeholder="内容主体"><%=instance.getContent()%></textarea>
    </div>


    <button type="submit" class="btn btn-info btn-block">保存</button>
</form>

<form id="picForm" enctype="multipart/form-data" method="post" action="<%= request.getContextPath() %>/manage/content/updatePics/<%=instance.getId()%>">

    <div class="row">
        <div class="col-lg-12">
            <div class="input-group">
                <input type="file" name="file" id="file" multiple="multiple" class="form-control" placeholder="多图片上传">
      <span class="input-group-btn">
        <button id="uploadPicBtn" class="btn btn-success" type="button">多图片上传</button>
      </span>
            </div>
            <!-- /input-group -->
        </div>
        <!-- /.col-lg-6 -->
    </div>
    <!-- /.row -->
</form>


<script type="text/javascript" src="<%=AppProperties.instance.viewStaticResBaseUrl %>/static/ckeditor/ckeditor.js"></script>
<script type="text/javascript" src="<%=AppProperties.instance.viewStaticResBaseUrl %>/static/ckeditor/adapters/jquery.js"></script>
<script type="text/javascript">


    $(function () {
        CKEDITOR.replace("content", {
            height: '390px',
            toolbar: [
                ['Bold', 'Italic', 'Underline'],
                ['Styles', 'Format', 'Font', 'FontSize'],
                ['NumberedList', 'BulletedList', '-', 'Outdent', 'Indent'],
                ['JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock'],
                ['Link', 'Unlink'],
                ['Table', 'HorizontalRule', 'Smiley', 'PageBreak'],
                ['TextColor', 'BGColor'],
                ['RemoveFormat', 'Source'],
                ['Maximize']
            ]

        });

        $("#uploadPicBtn").click(function () {
            $("#picForm").ajaxSubmit(function (response) {
                var urls = eval("(" + response + ")");
                $.each(urls, function (index, filePath) {
                    CKEDITOR.instances.content.insertHtml("<img class='cms-lite-img' src='" + filePath + "'><br>");
                });
            });
        });
    });


</script>


<jsp:include page="/views/manage/widget/_footer.jsp"/>
