<%@ page import="com.qq.lezi2012.cmslite.domain.Category" %>
<%@ page import="com.qq.lezi2012.cmslite.domain.Content" %>
<%@ page import="com.qq.lezi2012.cmslite.model.def.ContentStatus" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="/views/manage/widget/_header.jsp"/>
<%
    Content instance = (Content) request.getAttribute("content");

    List<Category> categories = (List) request.getAttribute("categories");

    List<Content> list = (List<Content>) request.getAttribute("list");
    if (list == null)
        list = new ArrayList();
    Object total = request.getAttribute("total");


    SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd HH:ss");
%>
<%
    if (total != null) {
%>
找到 <%=total%> 条记录。
<%
    }
%>
<label></label>

<form id="instanceForm" method="post" action="<%=request.getContextPath()%>/manage/content/search">


    <div class="form-group">
        <div class="row">
            <div class="col-sm-8"><input type="text" class="form-control" name="title" value="<%=instance.getTitle()%>" placeholder="标题"/></div>
            <div class="col-sm-2">
                <select name="categoryId" class="form-control">
                    <option value="">NONE</option>
                    <%
                        for (Category category : categories) {
                            String selectedStr = category.getId().equals(instance.getCategoryId()) ? "selected" : "";
                    %>
                    <option <%=selectedStr%> value="<%=category.getId()%>"><%=category.getName()%>
                    </option>

                    <%
                        }
                    %>
                </select>
            </div>
            <div class="col-sm-2">
                <select name="status" class="form-control">
                    <option value="0">NONE</option>
                    <%
                        ContentStatus[] contentStatuses = ContentStatus.values();
                        for (ContentStatus contentStatus : contentStatuses) {
                            String selectedStr = "";
                            if (instance.getStatus() != null)
                                selectedStr = instance.getStatus() == contentStatus.status ? "selected" : "";

                    %>
                    <option <%=selectedStr%> value="<%=contentStatus.status%>"><%=contentStatus.description%>
                    </option>

                    <%
                        }
                    %>
                </select>
            </div>
        </div>

    </div>

    <button type="submit" class="btn btn-info btn-block">查找</button>
</form>

<table class="table table-bordered">
    <%
        for (Content content : list) {
    %>
    <tr>
        <td>
            <a target="_blank" href="<%=request.getContextPath()%>/view/<%=content.getId()%>">
                <%=content.getTitle()%>
            </a>
        </td>
        <td>
            <%
                if (content.getCreatedAt() != null) {
            %>
            <%=sdf.format(content.getCreatedAt())%>
            <%
                }
            %>

        </td>
        <td>
            <a class="btn btn-default pull-right" href="<%=request.getContextPath()%>/manage/content/contentOpt/<%=content.getId()%>">
                操作
            </a>
        </td>
    </tr>
    <%
        }
    %>


</table>


<jsp:include page="/views/manage/widget/_footer.jsp"/>
