<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page import="com.qq.lezi2012.cmslite.AppProperties" %>
<%@ page import="com.qq.lezi2012.cmslite.domain.User" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%
    String message = (String) request.getAttribute("message");
    User user = (User) request.getAttribute("user");

    if (StringUtils.isBlank(user.getUsername())) {
        user.setUsername("");
    }

    if (StringUtils.isBlank(user.getPassword())) {
        user.setPassword("");
    }
%>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">


    <title>Signin</title>

    <script src="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/jquery/jquery-1.11.2.min.js"></script>
    <link href="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/bootstrap/css/bootstrap.min.css" rel="stylesheet">


    <!-- Custom styles for this template -->

    <style>
        body {
            padding-top: 40px;
            padding-bottom: 40px;
            background-color: #eee;
        }

        .form-signin {
            max-width: 330px;
            padding: 15px;
            margin: 0 auto;
        }

        .form-signin .form-signin-heading,
        .form-signin .checkbox {
            margin-bottom: 10px;
        }

        .form-signin .checkbox {
            font-weight: normal;
        }

        .form-signin .form-control {
            position: relative;
            height: auto;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            box-sizing: border-box;
            padding: 10px;
            font-size: 16px;
        }

        .form-signin .form-control:focus {
            z-index: 2;
        }

        .form-signin input[type="email"] {
            margin-bottom: -1px;
            border-bottom-right-radius: 0;
            border-bottom-left-radius: 0;
        }

        .form-signin input[type="password"] {
            margin-bottom: 10px;
            border-top-left-radius: 0;
            border-top-right-radius: 0;
        }
    </style>
</head>

<body>

<div class="container">

    <form class="form-signin" action="<%=request.getContextPath()%>/login" method="post">
        <h2 class="form-signin-heading">欢迎登录CMS-Lite</h2>
        <%
            if (StringUtils.isNotBlank(message)) {
        %>
        <div class="alert alert-danger" role="alert"><%=message%>
        </div>
        <%}%>
        <label for="username" class="sr-only">Email address</label>
        <input type="text" id="username" name="username" class="form-control" placeholder="用户名" value="<%=user.getUsername()%>" required autofocus>
        <label for="inputPassword" class="sr-only">Password</label>
        <input type="password" id="inputPassword" class="form-control" name="password" placeholder="密码" value="<%=user.getPassword()%>" required>
        <img id="captcha" style="width: 144px;height: 33px;" src="<%=request.getContextPath()%>/captcha.svl" onclick="this.src='<%=request.getContextPath()%>/captcha.svl?d='+new Date()*1"/>
        <br><br>
        <label for="code" class="sr-only">Code</label>
        <input type="text" id="code" class="form-control" name="code" placeholder="验证码" required>
        <br>
        <button class="btn btn-lg btn-primary btn-block" type="submit">登录</button>
    </form>

</div>
<!-- /container -->

</body>
</html>
