package com.qq.lezi2012.cmslite.test.service;

import com.alibaba.fastjson.JSON;
import org.codehaus.jackson.map.ObjectMapper;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.transaction.TransactionConfiguration;

import java.util.UUID;

@RunWith(SpringJUnit4ClassRunner.class)
@TransactionConfiguration(transactionManager = "transactionManagerMyBatis")
@ContextConfiguration(locations = {"classpath:/spring/application-root-bean.xml"})
public abstract class BaseServiceTest {
    protected String uuid() {
        return UUID.randomUUID().toString().replaceAll("-", "");
    }

    protected void println(Object object) {
        System.out.println(JSON.toJSONString(object));
    }

    protected ObjectMapper mapper = new ObjectMapper();


}
