package com.qq.lezi2012.cmslite.test.service;

import com.qq.lezi2012.cmslite.domain.Category;
import com.qq.lezi2012.cmslite.domain.Content;
import com.qq.lezi2012.cmslite.model.def.ContentShowType;
import com.qq.lezi2012.cmslite.model.def.ContentStatus;
import com.qq.lezi2012.cmslite.model.vo.BaseResponse;
import com.qq.lezi2012.cmslite.service.CategoryService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

public class CategoryServiceTest extends BaseServiceTest {


    @Autowired
    public CategoryService categoryService;


    @Test
    public void testList() {
        BaseResponse response = categoryService.list();
        println(response);

        response = categoryService.listPortalCategories();
        println(response);


    }

    @Test
    public void testCreate() {

        Category category = new Category();

        category.setId(uuid());
        category.setName("新建的内容");
        category.setShowIndex(-1);
        BaseResponse response = categoryService.save(category);
        println(response);


    }


}
