# Dump of table category
# ------------------------------------------------------------

DROP TABLE IF EXISTS `CATEGORY`;

CREATE TABLE `CATEGORY` (
  `ID`         VARCHAR(40) PRIMARY KEY NOT NULL,
  `NAME`       VARCHAR(255) DEFAULT NULL,
  `SHOW_INDEX` INT(11)      DEFAULT NULL
)
  ENGINE = MyISAM
  DEFAULT CHARSET = utf8;


# Dump of table widgetcode
# ------------------------------------------------------------

DROP TABLE IF EXISTS `WIDGET_CODE`;

CREATE TABLE `WIDGET_CODE` (
  `ID`                VARCHAR(40) PRIMARY KEY NOT NULL,
  CODE_IN_LIST        LONGTEXT     DEFAULT NULL,
  CODE_ON_VIEW_HEADER LONGTEXT     DEFAULT NULL,
  CODE_ON_VIEW_FOOTER LONGTEXT     DEFAULT NULL,
  TECH_SUPPORT_URL    VARCHAR(255) DEFAULT NULL,
  STATS_CODE          LONGTEXT     DEFAULT NULL
)
  ENGINE = MyISAM
  DEFAULT CHARSET = utf8;


# Dump of table page
# ------------------------------------------------------------

DROP TABLE IF EXISTS `CONTENT`;

CREATE TABLE `CONTENT` (
  `ID`        VARCHAR(40) PRIMARY KEY NOT NULL,
  TITLE       VARCHAR(255),
  CONTENT     LONGTEXT,
  CATEGORY_ID VARCHAR(40)             NOT NULL,
  CREATOR_ID  VARCHAR(40)             NOT NULL,
  STATUS      INT,
  CREATED_AT  DATETIME,
  UPDATED_AT  DATETIME,
  SHOW_TYPE   INT                     NOT NULL
)
  ENGINE = MyISAM
  DEFAULT CHARSET = utf8;

# Dump of table user
# ------------------------------------------------------------

DROP TABLE IF EXISTS `USER`;

CREATE TABLE `USER` (
  `ID`       VARCHAR(40) PRIMARY KEY NOT NULL,
  `NAME`     VARCHAR(40)  DEFAULT NULL,
  `USERNAME` VARCHAR(255) DEFAULT NULL,
  `PASSWORD` VARCHAR(255) DEFAULT NULL,
  UNIQUE KEY `USERNAME` (`USERNAME`)
)
  ENGINE = MyISAM
  DEFAULT CHARSET = utf8;


INSERT INTO user (id, name, username, password)
VALUES (uuid(), 'default user', 'firstuser', 'e0323a9039add2978bf5b49550572c7c');