package com.qq.lezi2012.cmslite.filter;

import com.qq.lezi2012.cmslite.model.def.Def;
import org.springframework.stereotype.Component;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;


@Component("authFilter")
public class AuthFilter implements Filter {
    public void init(FilterConfig filterConfig) throws ServletException {

    }

    public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException {
        HttpServletRequest request = (HttpServletRequest) servletRequest;

        boolean needLogin = request.getSession().getAttribute(Def.USER_SESSION_KEY) == null;

        //todo cc enable on pro
        if (needLogin) {
            ((HttpServletResponse) servletResponse).sendRedirect(request.getContextPath() + "/login");
            return;
        }
        filterChain.doFilter(servletRequest, servletResponse);
    }

    public void destroy() {

    }
}
