<%@ page import="com.qq.lezi2012.cmslite.domain.Category" %>
<%@ page import="java.util.List" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="/views/manage/widget/_header.jsp"/>
<%
    List<Category> list = (List<Category>) request.getAttribute("result");
%>


<table class="table table-bordered ">
    <%
        for (int i = 0; i < list.size(); i++) {
            Category category = list.get(i);
    %>
    <tr>
        <td>

            <form id="form_<%=category.getId()%>" method="post" action="<%=request.getContextPath()%>/manage/category/save">
                <input type="hidden" name="id" value="<%=category.getId()%>"/>

                <div class="col-sm-3">
                    <input type="text" class="form-control" name="name" placeholder="名称" value="<%=category.getName()%>">
                </div>
                <div class="col-sm-3">
                    <input type="text" class="form-control" name="showIndex" placeholder="小于零的数值将使得品类不会在portal 显示" value="<%=category.getShowIndex()%>">
                </div>
                <div class="col-sm-3 pull-right">
                    <div class="btn-group btn-group pull-right">
                        <button type="button" class="btn btn-danger deleteBt" data-id="<%=category.getId()%>">删除</button>
                        <button type="button" class="btn btn-info saveBt" data-id="<%=category.getId()%>">保存</button>
                        <a class="btn btn-default" href="<%=request.getContextPath()%>/manage/content/index/0-<%=category.getId()%>-0">内容列表</a>
                    </div>
                </div>
            </form>

        </td>
    </tr>
    <%
        }
    %>
</table>
<input type="button" class="btn btn-info btn-block" id="addBt" value="添加新的品类"/>

<script type="text/javascript">
    $(function () {
        $("#addBt").click(function () {
            $.post(
                    "<%=request.getContextPath()%>/manage/category/create", function (response) {
                        if (response.code == 'SUCCESS') {
                            window.location.reload();
                        }
                    }
            );
        });

        $(".deleteBt").click(function () {
            var categoryId = $(this).attr("data-id");
            withConfirm(function () {
                $.post(
                        "<%=request.getContextPath()%>/manage/category/delete",
                        {id: categoryId},
                        function (response) {
                            if (response.code == 'SUCCESS') {
                                window.location.reload();
                            }
                        }
                );
            });

        });
        $(".saveBt").click(function () {
            var categoryId = $(this).attr("data-id");
            $("#form_" + categoryId).ajaxSubmit(function (response) {
                if (response.code == 'SUCCESS') {
                    window.location.reload();
                }
            });
        });


    });
</script>
<jsp:include page="/views/manage/widget/_footer.jsp"/>
