<%@ page import="com.qq.lezi2012.cmslite.AppProperties" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.qq.lezi2012.cmslite.domain.Category" %>
<%@ page import="com.qq.lezi2012.cmslite.domain.Content" %>
<%@ page import="com.qq.lezi2012.cmslite.model.def.ContentStatus" %>
<%@ page import="java.util.ArrayList" %>
<%@ page import="java.util.List" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%
    List<Content> contents = (List<Content>) request.getAttribute("list");
    if (contents == null)
        contents = new ArrayList<Content>();
    Integer total = (Integer) request.getAttribute("total");
    Integer offset = (Integer) request.getAttribute("offset");
    Integer pageSize = AppProperties.instance.contentListSize;
    String categoryId = (String) request.getAttribute("categoryId");
    Integer status = (Integer) request.getAttribute("status");

    List<Category> categories = (List) request.getAttribute("categories");
%>
<jsp:include page="/views/manage/widget/_header.jsp"/>

<div class="row">
    <div class="col-sm-2 pull-right">
        <select id="status" name="status" class="form-control">
            <option value="0">NONE</option>
            <%
                ContentStatus[] contentStatuses = ContentStatus.values();
                for (ContentStatus contentStatus : contentStatuses) {
                    String selectedStr = status == contentStatus.status ? "selected" : "";

            %>
            <option <%=selectedStr%> value="<%=contentStatus.status%>"><%=contentStatus.description%>
            </option>

            <%
                }
            %>
        </select>
    </div>
    <div class="col-sm-2 pull-right">
        <select id="categoryId" name="categoryId" class="form-control">
            <option value="NONE">NONE</option>
            <%
                for (Category category : categories) {
                    String selectedStr = category.getId().equals(categoryId) ? "selected" : "";
            %>
            <option <%=selectedStr%> value="<%=category.getId()%>"><%=category.getName()%>
            </option>

            <%
                }
            %>
        </select>
    </div>

</div>

<table class="table table-bordered">
    <%
        for (Content content : contents) {
    %>
    <tr>
        <td>
            <a target="_blank" href="<%=request.getContextPath()%>/view/<%=content.getId()%>">
                <%=content.getTitle()%>
            </a>
        </td>
        <td style="width: 20px;">
            <a class="btn btn-info btn-xs" href="<%=request.getContextPath()%>/manage/content/contentOpt/<%=content.getId()%>">
                操作
            </a>
        </td>
    </tr>
    <%
        }
    %>
</table>
<%--end col12--%>

<div class="col-md-12">
    <nav>
        <ul class="pager">
            <%
                int preOffset = offset - pageSize;
                if (preOffset >= 0) {
                    String preUrl = request.getContextPath() + "/manage/content/index/" + preOffset + "-" + categoryId + "-" + status;
            %>
            <li><a href="<%=preUrl%>" style="border:1px red solid;">上一页</a></li>
            <%} %>


            <%
                int nextOffset = offset + pageSize;
                if (nextOffset < total) {
                    String nextUrl = request.getContextPath() + "/manage/content/index/" + nextOffset + "-" + categoryId + "-" + status;
            %>
            <li><a href="<%=nextUrl%>" style="border:1px red solid;">下一页</a></li>
            <%} %>
        </ul>
    </nav>
</div>

<%--end row--%>
<script type="text/javascript">
    $(function () {
        $("#categoryId").change(function () {
            var categoryId = $("#categoryId").val();
            var status = $("#status").val();
            window.location = "<%=request.getContextPath()%>/manage/content/index/0-" + categoryId + "-" + status;
        });

        $("#status").change(function () {
            var categoryId = $("#categoryId").val();
            var status = $("#status").val();
            window.location = "<%=request.getContextPath()%>/manage/content/index/0-" + categoryId + "-" + status;
        });
    });
</script>
<jsp:include page="/views/manage/widget/_footer.jsp"/>

