<%@ page import="com.qq.lezi2012.cmslite.domain.User" %>
<%@ page import="java.util.List" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<jsp:include page="/views/manage/widget/_header.jsp"/>
<%
    List<User> list = (List<User>) request.getAttribute("result");
%>


<table class="table table-bordered">
    <%
        for (int i = 0; i < list.size(); i++) {
            User instance = list.get(i);
    %>
    <tr>
        <td>
            <form id="form_<%=instance.getId()%>" method="post" action="<%=request.getContextPath()%>/manage/user/save">
                <input type="hidden" name="id" value="<%=instance.getId()%>"/>

                <div class="col-sm-3">
                    <input type="text" class="form-control" name="name" placeholder="姓名" value="<%=instance.getName()%>">
                </div>
                <div class="col-sm-3">
                    <input type="text" class="form-control" name="username" placeholder="用户名" value="<%=instance.getUsername()%>">
                </div>
                <div class="col-sm-3">
                    <input type="password" class="form-control" name="password" placeholder="密码" value="<%=instance.getPassword()%>">
                </div>
                <div class="col-sm-3 pull-right ">
                    <div class="btn-group pull-right  " role="group">
                        <button type="button" class="btn btn-danger    deleteBt" data-id="<%=instance.getId()%>">删除</button>
                        <button type="button" class="btn btn-info   saveBt" data-id="<%=instance.getId()%>">保存</button>
                    </div>
                </div>
            </form>
        </td>
    </tr>

    <%
        }
    %>
</table>
<input type="button" class="btn btn-info btn-block" id="addBt" value="添加新的用户"/>

<script type="text/javascript">
    $(function () {
        $("#addBt").click(function () {
            $.post(
                    "<%=request.getContextPath()%>/manage/user/create", function (response) {
                        if (response.code == 'SUCCESS') {
                            window.location.reload();
                        }
                    }
            );
        });

        $(".deleteBt").click(function () {
            var categoryId = $(this).attr("data-id");
            withConfirm(function () {
                $.post(
                        "<%=request.getContextPath()%>/manage/user/delete",
                        {id: categoryId},
                        function (response) {
                            if (response.code == 'SUCCESS') {
                                window.location.reload();
                            }
                        }
                );
            });

        });
        $(".saveBt").click(function () {
            var categoryId = $(this).attr("data-id");
            $("#form_" + categoryId).ajaxSubmit(function (response) {
                if (response.code == 'SUCCESS') {
                    window.location.reload();
                }
            });
        });


    });
</script>
<jsp:include page="/views/manage/widget/_footer.jsp"/>
