<%@ page import="com.qq.lezi2012.cmslite.AppProperties" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.qq.lezi2012.cmslite.domain.WidgetCodeWithBLOBs" %>
<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page import="com.qq.lezi2012.cmslite.domain.Content" %>
<%@ page import="java.util.List" %>
<%@ page import="com.qq.lezi2012.cmslite.model.Helper" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%
    WidgetCodeWithBLOBs widgetCodes = (WidgetCodeWithBLOBs) request.getAttribute("widgetCodes");
    List<Content> contents = (List<Content>) request.getAttribute("list");
    Integer total = (Integer) request.getAttribute("total");
    Integer offset = (Integer) request.getAttribute("offset");
    Integer pageSize = AppProperties.instance.contentListSize;
    String categoryId = (String) request.getAttribute("categoryId");
%>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>

    </title>
    <script src="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/jquery/jquery-1.11.2.min.js"></script>
    <link href="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/tp/docs.min.css" rel="stylesheet">
    <link href="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/styles/cms.css" rel="stylesheet">

    <%if (StringUtils.isNotBlank(widgetCodes.getStatsCode())) {%>
    <%=widgetCodes.getStatsCode()%>
    <%}%>
</head>
<body>

<jsp:include page="/views/portal/widget/_categories.jsp"/>

<div class="container">
    <div class="row">
        <%
            for (Content content : contents) {
                String imgSrc = Helper.getFirstImgSrc(content.getContent());
        %>
        <div class="col-md-3">

            <div class="images-wrapper">
                <a href="<%=request.getContextPath()%>/view/<%=content.getId()%>">
                    <img class="cms-lite-img" src="<%=imgSrc%>"/>

                    <div class="images-content">
                        <%=content.getTitle()%>
                    </div>
                </a>
            </div>

        </div>
        <%
            }
        %>

        <%--end col12--%>

        <div class="col-md-3">
            <nav>
                <ul class="pager">
                    <%
                        int preOffset = offset - pageSize;
                        if (preOffset >= 0) {
                            String preUrl = request.getContextPath() + "/index/" + preOffset;
                            if (categoryId != null) {
                                preUrl += "-" + categoryId;
                            }
                    %>
                    <li><a href="<%=preUrl%>" style="border:1px red solid;">上一页</a></li>
                    <%} %>


                    <%
                        int nextOffset = offset + pageSize;
                        if (nextOffset < total) {
                            String nextUrl = request.getContextPath() + "/index/" + nextOffset;
                            if (categoryId != null) {
                                nextUrl += "-" + categoryId;
                            }
                    %>
                    <li><a href="<%=nextUrl%>" style="border:1px red solid;">下一页</a></li>
                    <%} %>
                </ul>
            </nav>
        </div>
    </div>
    <%--end row--%>
</div>
<script type="text/javascript">
    $(function () {
        var uploadRootUrl = "<%=AppProperties.instance.uploadRootUrl%>";
        $('img.cms-lite-img').each(function () {
            var src = $(this).attr("src");
            $(this).attr("src", src.replace("_fix_", uploadRootUrl));
            $(this).addClass('img-responsive');

        });
    });
</script>
<%--end container--%>
<script src="<%= AppProperties.instance.viewStaticResBaseUrl%>/static/bootstrap/js/bootstrap.min.js"></script>
</body>
</html>

