<%@ page import="com.alibaba.fastjson.JSON" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="com.qq.lezi2012.cmslite.AppProperties" %>
<%@ page import="com.qq.lezi2012.cmslite.domain.Content" %>
<%@ page import="com.qq.lezi2012.cmslite.domain.WidgetCodeWithBLOBs" %>
<%@ page import="com.qq.lezi2012.cmslite.model.def.ContentShowType" %>
<%@ page import="org.apache.commons.lang.StringUtils" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Map" %>
<%@ page import="com.qq.lezi2012.cmslite.model.def.Def" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%
    Content content = (Content) request.getAttribute("result");
    WidgetCodeWithBLOBs widgetCodes = (WidgetCodeWithBLOBs) request.getAttribute("widgetCodes");
    int showType = content.getShowType();

    boolean showHeaderWidgetCode = showType == ContentShowType.ALL.code;
    boolean showFooterWidgetCode = showType == ContentShowType.ALL.code;
%>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>
        <%=content.getTitle()%>
    </title>
    <script src="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/jquery/jquery-1.11.2.min.js"></script>
    <link href="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/tp/docs.min.css" rel="stylesheet">
    <link href="<%= AppProperties.instance.viewStaticResBaseUrl %>/static/styles/cms.css" rel="stylesheet">

    <%if (StringUtils.isNotBlank(widgetCodes.getStatsCode())) {%>
    <%=widgetCodes.getStatsCode()%>
    <%}%>

    <%

        //-------------------  页面数据句柄数据--------

        //cc rules: 接收url 里面的 _extKeys 参数，按照都好分隔后，从url 里面获得对应的值放到 页面数据ext 部分。
        Map<String, Map> pageData = new HashMap();

        Map<String, String> contentMap = new HashMap();
        pageData.put("content", contentMap);
        contentMap.put("id", content.getId());
        contentMap.put("categoryId", content.getCategoryId());
        contentMap.put("title", content.getTitle());
        contentMap.put("creatorId", content.getCreatorId());
        String extKeys = request.getParameter("_extKeys");

        if (extKeys != null && extKeys.length() > 0) {
            Map<String, String> extDataMap = new HashMap();
            pageData.put("ext", extDataMap);
            for (String extKey : extKeys.split(",")) {
                String value = request.getParameter(extKey);
                extDataMap.put(extKey, value);
            }
        }

        String pageDataStr = JSON.toJSONString(pageData);
    %>

    <script type="text/javascript">
        var pageData = <%=pageDataStr%>;
    </script>

</head>
<body>

<jsp:include page="/views/portal/widget/_categories.jsp"/>

<div class="container">
    <div class="row">
        <div class="col-md-12" id="headerBlock"></div>
        <%if (showHeaderWidgetCode && StringUtils.isNotBlank(widgetCodes.getCodeOnViewHeader())) {%>
        <div class="col-md-12">
            <%=widgetCodes.getCodeOnViewHeader()%>
        </div>
        <% }%>
        <div class="col-md-12">
            <%=content.getContent()%>
        </div>
        <%if (showFooterWidgetCode && StringUtils.isNotBlank(widgetCodes.getCodeOnViewFooter())) {%>
        <div class="col-md-12">
            <%=widgetCodes.getCodeOnViewFooter()%>
        </div>
        <div class="col-md-12" id="footerBlock"></div>
        <% }%>
        <%--end col12--%>

        <%
            if (session.getAttribute(Def.USER_SESSION_KEY) != null) {
        %>
        <div class="col-md-12">
            <a class="btn btn-block btn-info" href="<%=request.getContextPath()%>/manage/content/contentOpt/<%=content.getId()%>">内容操作</a>
        </div>
        <%
            }
        %>
    </div>
    <%--end row--%>
</div>
<script type="text/javascript">
    $(function () {
        var uploadRootUrl = "<%=AppProperties.instance.uploadRootUrl%>";
        $('img.cms-lite-img').each(function () {
            var src = $(this).attr("src");
            $(this).attr("src", src.replace("_fix_", uploadRootUrl));
            $(this).addClass('img-responsive');

        });
    });
</script>
<%--end container--%>
<script src="<%= AppProperties.instance.viewStaticResBaseUrl%>/static/bootstrap/js/bootstrap.min.js"></script>
</body>
</html>

